module Database where 

data Pet = Cachorro | Gato | Coelho | Hamster
         deriving Show

data Pessoa = Pessoa { nome       :: String
                     , sobrenome  :: String
                     , idade      :: Int
                     , animal     :: Pet
                     }

data Curso = BCT | BCH
           deriving Show

data Aluno = Aluno { _pessoa :: Pessoa
                   , _curso  :: Curso
                   }

data Conselho = CONSUNI | CONSEPE
              deriving Show

data Representante = Rep { _aluno    :: Aluno
                         , _conselho :: Conselho
                         }
